FreeMat

- Main Page
- Related Pages

vtkSquarifyLayoutStrategy

Section: Visualization Toolkit Infovis Classes

# Usage

vtkSquarifyLayoutStrategy partitions the space for child vertices into regions that use all avaliable space and are as close to squares as possible. The algorithm also takes into account the relative vertex size.

.SECTION Thanks The squarified tree map algorithm comes from: Bruls, D.M., C. Huizing, J.J. van Wijk. Squarified Treemaps. In: W. de Leeuw, R. van Liere (eds.), Data Visualization 2000, Proceedings of the joint Eurographics and IEEE TCVG Symposium on Visualization, 2000, Springer, Vienna, p. 33-42.

To create an instance of class vtkSquarifyLayoutStrategy, simply invoke its constructor as follows

      obj = vtkSquarifyLayoutStrategy

# Methods

The class vtkSquarifyLayoutStrategy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSquarifyLayoutStrategy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSquarifyLayoutStrategy = obj.NewInstance ()`
- `vtkSquarifyLayoutStrategy = obj.SafeDownCast (vtkObject o)`
- `obj.Layout (vtkTree inputTree, vtkDataArray coordsArray, vtkDataArray sizeArray)` - Perform the layout of a tree and place the results as 4-tuples in coordsArray (Xmin, Xmax, Ymin, Ymax).